#!/bin/sh
eeprom -d /dev/i2c-2 -p 1 -y -w -f /home/root/zippy.eeprom > /dev/null 2>&1
sleep 1
eeprom -d /dev/i2c-2 -p 1 -f /tmp/zippy.dump > /dev/null 2>&1

cmp /home/root/zippy.eeprom /tmp/zippy.dump 
result=$?
rm -rf /tmp/zippy.dump
if [ "$result" -ne 0 ] ; then
	echo "error on eeprom write!"
	exit
fi

echo "i2c device detection:"
i2cdetect -y -r 2
echo -e "\n\n"

echo "eeprom programmed!"
cd /tmp
wget -q http://192.168.2.100/testdata.bin
wget -q http://192.168.2.100/testdata.md5
md5sum testdata.bin > /tmp/testdata-chk.md5

cmp /tmp/testdata.md5 /tmp/testdata-chk.md5
result=$?
rm -rf /tmp/testdata.md5 /tmp/testdata-chk.md5
if [ "$result" -ne 0 ] ; then
	echo "error on enc28j60 test!"
	exit
fi
echo "enc28j60 test complete!"

mount | grep -e "/dev/mmcblk1p1" -q
result=$?
if [ "$result" -ne 0 ] ; then
	echo "mmc not mounted!!!"
	rm /tmp/testdata.bin
	exit
fi

cp /tmp/testdata.bin /media/mmcblk1p1/
sync
umount /dev/mmcblk1p1
result=$?

if [ "$result" -ne 0 ] ; then
	echo "mmc eject failed!"
	rm /tmp/testdata.bin
fi
rm /tmp/testdata.bin
echo "mmc test passed!"

hwclock -r
result=$?
if [ "$result" -ne 0 ] ; then
	echo "RTC test failed!"
	exit
fi

echo "RTC test complete!"

stty -F /dev/ttyS1 115200 -opost -echoctl -echo -echoe -echok
uart-loopback /dev/ttyS1 > /dev/null 2>&1
result=$?
if [ "$result" -ne 0 ] ; then
	echo "uart loopback failed!"
	exit
fi

echo "Uart loopback test complete!"

